Package org.eclipse.wst.xsl.ui.internal.editor

## org.eclipse.wst.xsl.ui.internal.editor
Class SourceFileHyperlink

    public class SourceFileHyperlink
    extends java.lang.Object

## Constructor Summary

`SourceFileHyperlink(IRegion hyperLinkRegion , IFile linkedFile)`
`SourceFileHyperlink(IRegion hyperLinkRegion , IFile linkedFile , org.eclipse.wst.xsl.core.model.XSLNode node)`

## Method Summary

`public IRegion` | `getHyperlinkRegion()`
`public java.lang.String` | `getHyperlinkText()`
`public java.lang.String` | `getTypeLabel()`
`public void` | `open()`

## Constructor Detail

## SourceFileHyperlink

`public SourceFileHyperlink(IRegion hyperLinkRegion , IFile linkedFile)`

## SourceFileHyperlink

`public SourceFileHyperlink(IRegion hyperLinkRegion , IFile linkedFile , org.eclipse.wst.xsl.core.model.XSLNode node)`

## Methods Detail

## getHyperlinkRegion

`public IRegion getHyperlinkRegion()`

### Returns

`IRegion`

## getHyperlinkText

`public java.lang.String getHyperlinkText()`

### Returns

`java.lang.String`

## getTypeLabel

`public java.lang.String getTypeLabel()`

### Returns

`java.lang.String`

## open

`public void open()`